
{ Header-File fr Analysator II: globale Definitionen }

CONST
	e			= 2.718281828;

	InputLen	= 80;				{ max. Lnge einer Eingabezeile }
	HistLen	= 1000;			{ Gre des History-Buffers }

	LF			= chr($0a);
	BackSpace= chr(8);

TYPE
	typ = (variable,operator,literal,funktion);
	atyp = Double;

	p = ^node;
	node = RECORD
				t:typ;
				name:char;
				op1,op2:p;
				value:atyp
			 END;

	MyStr = String[inputlen];
	Buffer = Record s:MyStr; p:integer END;

PROCEDURE InitAnalysis;                         IMPORT;
PROCEDURE GetC;                                 IMPORT;
FUNCTION  GetNum(Var tx: Buffer; Var z:Char):integer;	IMPORT;
PROCEDURE Inp(Var tx:Buffer; Var i:p);				IMPORT;
FUNCTION  konstant(b:p):boolean;						IMPORT;
FUNCTION  eval(b:p; x:atyp):atyp;               IMPORT;
PROCEDURE Forget(Var z:p);                      IMPORT;
PROCEDURE InFix(b:p; pr:integer);					IMPORT;
PROCEDURE ReadKonst(Var r:atyp; Var err:Boolean);		IMPORT;
FUNCTION  sgn(x:atyp):integer;                  IMPORT;

PROCEDURE WriteC(s:Str);                        IMPORT;
PROCEDURE WriteP(s:Str);                        IMPORT;
PROCEDURE WriteR(r:atyp; f:integer);            IMPORT;
PROCEDURE WritePR(r:atyp; f:integer); IMPORT;
PROCEDURE WriteRF(r:atyp; l,f:integer);         IMPORT;
FUNCTION GetKey: char;                          IMPORT;
PROCEDURE ToHistory(s: MyStr);                  IMPORT;
PROCEDURE FromHistory(VAR s:MyStr; i: integer); IMPORT;
PROCEDURE ReadEin(Var b:Buffer);                IMPORT;

